=begin
#WeFitter API

#This is the WeFitter API

OpenAPI spec version: v1.3
Contact: hello@wefitter.com
Generated by: https://github.com/swagger-api/swagger-codegen.git
Swagger Codegen version: 2.4.38
=end

require 'spec_helper'
require 'json'

# Unit tests for WeFitter::ProfileApi
# Automatically generated by swagger-codegen (github.com/swagger-api/swagger-codegen)
# Please update as you see appropriate
describe 'ProfileApi' do
  before do
    # run before each test
    @instance = WeFitter::ProfileApi.new
  end

  after do
    # run after each test
  end

  describe 'test an instance of ProfileApi' do
    it 'should create an instance of ProfileApi' do
      expect(@instance).to be_instance_of(WeFitter::ProfileApi)
    end
  end

  # unit tests for profile_activity_segment_list
  # Activity segment
  # Lists segments of activities and small non-workout-like movements.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<Activity>]
  describe 'profile_activity_segment_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_biometric_list
  # Bio Metric
  # Lists changes in weight, height and bmi for the profile.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<BioMetric>]
  describe 'profile_biometric_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_biometric_measurement_list
  # Biometric Measurement
  # List changes in biometric measurements for the profile.
  # @param profile_public_id 
  # @param measurement_type 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<BiometricMeasurement>]
  describe 'profile_biometric_measurement_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_bmi_list
  # BMI
  # Presents the Body-Mass-Index over time.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<BMI>]
  describe 'profile_bmi_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_challenge
  # Challenge
  # Provides a list of challenges where the profile can participate and is already participating in.  This endpoint returns a list of objects. 
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [Integer] :recent Show challenges that have not ended in the last N weeks
  # @option opts [DateTime] :date_start Only return challenges that are active after this time  Note: this only affects challenges that are not joined.  Defaults to now
  # @option opts [DateTime] :date_end Only return challenges that are active before this time  Note: this only affects challenges that are not joined.  Defaults to now
  # @return [ProfileChallengeList]
  describe 'profile_challenge test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_challenges
  # This docstring is used by Django Rest Framework
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [ProfileChallengeList]
  describe 'profile_challenges test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_connections
  # Connections
  # Lists the connections available for a profile and their \&quot;state\&quot;. This endpoint returns a list of objects. 
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :redirect After connecting redirect back to this url.  Note: has to be a valid http url. For deeplinks (to apps) first redirect to your own backend and then deeplink from there.  Note: the user is only redirected on a successfull connection, otherwise an error screen is shown. (see redirect_on_error to change this)  Note: if this parameter is omitted, then user will see a generic success screen.
  # @option opts [BOOLEAN] :redirect_on_error If enabled, then user will also be redirected to the redirect url if an error occurs  Note: a query parameter &#39;error&#39; is added to the redirect url. Possible values are access_denied, unknown. New values may be added at anytime  Note: for backwards compatibility the default is false, but this will be changed in the next breaking release
  # @return [ProfileAppConnectionList]
  describe 'profile_connections test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_create
  # Create Profile
  #  Creates a new profile. The bearer field contains a profile bearer token. When this is used in the Authorization header actions are performed as that profile, which will also enable access to private data. Using a profile bearer token disables administrative features such as creating profiles, making this token safe for &#39;public&#39; use. A profile bearer token has no expiration, so it remains valid as long as the profile is active. 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileCreated]
  describe 'profile_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_daily_detail_list
  # Daily details
  # Intraday data measured at a single point in time.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<DailyDetail>]
  describe 'profile_daily_detail_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_daily_summary_list
  # Daily Summary
  # Provides summarized data per day.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @option opts [BOOLEAN] :deduplicate If set to true, duplicates will be aggregated.
  # @return [Array<DailySummary>]
  describe 'profile_daily_summary_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_delete
  # Delete Profile
  # Deletes the specified profile, if created by the app.
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'profile_delete test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_detail_sample_list
  # Detail Sample
  # Presents detail samples.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<DetailSample>]
  describe 'profile_detail_sample_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_ecg_recordings_data_list
  # Electrocardiogram data
  #  This endpoint returns an ECG recording with data as an array of tuples &#x60;[(time, value)]&#x60;. Set the argument &#x60;date_end&#x60; to request a specific recording or leave it empty to receive the latest recording. 
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<ECGRecording>]
  describe 'profile_ecg_recordings_data_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_ecg_recordings_list
  # Electrocardiograms
  #  This endpoint returns a list of ECG recordings. 
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<ECGRecordings>]
  describe 'profile_ecg_recordings_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_ecg_recordings_pdf_list
  # Electrocardiogram PDF
  # Returns a PDF with generated ECG charts from a specific source and time. Contact api-support@wefitter.com to gain access.
  # @param profile_public_id 
  # @param datetime The timestamp when the ECG has been recorded in the format &#x60;yyyymmddhhmmss&#x60;. e.g. &#x60;20210913132513&#x60;
  # @param source 
  # @param [Hash] opts the optional parameters
  # @return [nil]
  describe 'profile_ecg_recordings_pdf_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_event_create
  # Create Event
  # Create a new event for the profile.
  # @param profile_public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [Event]
  describe 'profile_event_create test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_event_list
  # Event
  # Lists events, generic actions for which points have been awarded.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<Event>]
  describe 'profile_event_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_heartrate_sample_list
  # Heart Rate Sample
  # Heart Rate measured at a single point in time.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @option opts [BOOLEAN] :heart_rate_detail If set to true it will add heart_rate_samples field
  # @return [Array<HeartRateSample>]
  describe 'profile_heartrate_sample_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_heartrate_summary_list
  # Heart Rate Summary
  # Presents heart rate information.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<HeartRateSummary>]
  describe 'profile_heartrate_summary_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_height_list
  # Height
  # Lists changes in height for the profile.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<Height>]
  describe 'profile_height_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_list
  # List Profiles
  # Lists all available profiles
  # @param [Hash] opts the optional parameters
  # @option opts [String] :search A search term.
  # @option opts [String] :ordering Which field to use when ordering the results.
  # @option opts [Integer] :limit Number of results to return per page.
  # @option opts [Integer] :offset The initial index from which to return the results.
  # @return [InlineResponse2004]
  describe 'profile_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_partial_update
  # Partial Update
  # Performs a partial update
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileDetail]
  describe 'profile_partial_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_read
  # Get Profile
  # Gets a single profile
  # @param public_id 
  # @param [Hash] opts the optional parameters
  # @return [ProfileDetail]
  describe 'profile_read test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_sleep_detail_list
  # Sleep detail
  # Provides sleep detail data.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<SleepDetail>]
  describe 'profile_sleep_detail_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_sleep_summary_list
  # Sleep Summary
  # Provides summarized sleep data.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @option opts [BOOLEAN] :detail If set to true and only 1 result is returned, it will add a detail field
  # @return [Array<SleepSummary>]
  describe 'profile_sleep_summary_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_stress_samples_list
  # Stress Sample
  # Presents stress samples.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<StressSample>]
  describe 'profile_stress_samples_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_stress_summary_list
  # Stress Summary
  # Presents stress summaries.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<StressSummary>]
  describe 'profile_stress_summary_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_track_sample_list
  # Track Sample
  # Presents GPX track samples.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<TrackSample>]
  describe 'profile_track_sample_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_update
  # Update profile
  # Updates the specified profile, excluding ID, team and public id.
  # @param public_id 
  # @param data 
  # @param [Hash] opts the optional parameters
  # @return [ProfileDetail]
  describe 'profile_update test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_weight_list
  # Weight
  # Lists changes in weight for the profile.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @return [Array<Weight>]
  describe 'profile_weight_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

  # unit tests for profile_workout_list
  # Workout
  # Lists workouts associated with the profile. Used to be known as Activity.
  # @param profile_public_id 
  # @param [Hash] opts the optional parameters
  # @option opts [String] :cursor The pagination cursor value.
  # @option opts [Integer] :page_size Number of results to return per page.
  # @option opts [DateTime] :date_start Lower bound of date or timestamp.
  # @option opts [DateTime] :date_end Upper bound of date or timestamp.
  # @option opts [BOOLEAN] :deduplicate If set to true, duplicates will be aggregated.
  # @option opts [BOOLEAN] :heart_rate_detail If set to true and page_size is 1, it will add heart_rate_samples field
  # @return [Array<Workout>]
  describe 'profile_workout_list test' do
    it 'should work' do
      # assertion here. ref: https://www.relishapp.com/rspec/rspec-expectations/docs/built-in-matchers
    end
  end

end
